package Drawnings;

import java.awt.*;
import Entities.*;

public class DrawingPortholesCircle implements IDrawingPortholes {
    private CountPortholes _porthole;

    public CountPortholes getCount()
    {
        return _porthole;
    }
    public void SetCount (int count) {
        switch (count) {
            case 10:
                _porthole = CountPortholes.Ten;
                break;
            case 20:
                _porthole = CountPortholes.Twenty;
                break;
            case 30:
                _porthole = CountPortholes.Thirty;
                break;
            default:
                _porthole = CountPortholes.Ten;
                break;
        }
    }
    protected void drawPortholes(Graphics2D g, int posX, int posY){
        g.setColor(Color.cyan);
        g.fillOval(posX, posY, 3, 3);
        g.setColor(Color.black);
        g.drawOval(posX, posY, 3, 3);
    }
    public void Draw (Graphics2D g, int _startPosX, int _startPosY) {
        if (_porthole == null) {return;}

        for (int i = 0; i < 10; ++i) {
            drawPortholes(g, _startPosX + 19 + i * 8, _startPosY + 21);
        }
        if (_porthole != CountPortholes.Ten) {
            for (int i = 0; i < 5; ++i) {
                drawPortholes(g, _startPosX - 15 + i * 5, _startPosY + 28);
                drawPortholes(g, _startPosX + 115 + i * 5, _startPosY + 28);
            }
        }
        if (_porthole == CountPortholes.Thirty) {
            for (int i = 0; i < 10; ++i) {
                drawPortholes(g, _startPosX + 19 + i * 8, _startPosY + 37);
            }
        }
    }
}